# open-agent-api
API for interacting with AI agents

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 0.1.0
- Generator version: 7.10.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import open_agent_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import open_agent_api
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import open_agent_api
from open_agent_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.swedishembedded.com/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = open_agent_api.Configuration(
    host = "https://api.swedishembedded.com/v1"
)



# Enter a context with an instance of the API client
with open_agent_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = open_agent_api.AuthApi(api_client)
    token = 'token_example' # str | 

    try:
        # Check Verification Status
        api_response = api_instance.check_verification_status_auth_verification_status_token_get(token)
        print("The response of AuthApi->check_verification_status_auth_verification_status_token_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AuthApi->check_verification_status_auth_verification_status_token_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.swedishembedded.com/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AuthApi* | [**check_verification_status_auth_verification_status_token_get**](docs/AuthApi.md#check_verification_status_auth_verification_status_token_get) | **GET** /auth/verification-status/{token} | Check Verification Status
*AuthApi* | [**create_api_key_auth_api_keys_post**](docs/AuthApi.md#create_api_key_auth_api_keys_post) | **POST** /auth/api-keys | Create Api Key
*AuthApi* | [**health_check_auth_health_get**](docs/AuthApi.md#health_check_auth_health_get) | **GET** /auth/health | Health Check
*AuthApi* | [**list_api_keys_auth_api_keys_get**](docs/AuthApi.md#list_api_keys_auth_api_keys_get) | **GET** /auth/api-keys | List Api Keys
*AuthApi* | [**login_email_auth_login_post**](docs/AuthApi.md#login_email_auth_login_post) | **POST** /auth/login | Login Email
*AuthApi* | [**register_email_auth_register_post**](docs/AuthApi.md#register_email_auth_register_post) | **POST** /auth/register | Register Email
*AuthApi* | [**revoke_api_key_auth_api_keys_key_id_delete**](docs/AuthApi.md#revoke_api_key_auth_api_keys_key_id_delete) | **DELETE** /auth/api-keys/{key_id} | Revoke Api Key
*AuthApi* | [**verify_email_auth_verify_token_get**](docs/AuthApi.md#verify_email_auth_verify_token_get) | **GET** /auth/verify/{token} | Verify Email
*ChatApi* | [**chat_completions_v1_chat_completions_post**](docs/ChatApi.md#chat_completions_v1_chat_completions_post) | **POST** /v1/chat/completions | Chat Completions
*ChatApi* | [**list_models_v1_models_get**](docs/ChatApi.md#list_models_v1_models_get) | **GET** /v1/models | List Models
*DefaultApi* | [**agent_agent_id_post**](docs/DefaultApi.md#agent_agent_id_post) | **POST** /agent/{agent_id} | Agent Completion Create
*DefaultApi* | [**health_health_get**](docs/DefaultApi.md#health_health_get) | **GET** /health | Health
*DefaultApi* | [**root_get**](docs/DefaultApi.md#root_get) | **GET** / | Root
*McpApi* | [**mcp_info_mcp_get**](docs/McpApi.md#mcp_info_mcp_get) | **GET** /mcp/ | Mcp Info
*McpApi* | [**messages_endpoint_mcp_messages_post**](docs/McpApi.md#messages_endpoint_mcp_messages_post) | **POST** /mcp/messages | Messages Endpoint
*McpApi* | [**sse_endpoint_mcp_sse_get**](docs/McpApi.md#sse_endpoint_mcp_sse_get) | **GET** /mcp/sse | Sse Endpoint
*SetupApi* | [**setup_server_setup_post**](docs/SetupApi.md#setup_server_setup_post) | **POST** /setup | Setup Server
*SubscriptionApi* | [**cancel_subscription_subscription_cancel_post**](docs/SubscriptionApi.md#cancel_subscription_subscription_cancel_post) | **POST** /subscription/cancel | Cancel Subscription
*SubscriptionApi* | [**create_subscription_subscription_subscribe_post**](docs/SubscriptionApi.md#create_subscription_subscription_subscribe_post) | **POST** /subscription/subscribe | Create Subscription
*SubscriptionApi* | [**get_current_subscription_subscription_current_get**](docs/SubscriptionApi.md#get_current_subscription_subscription_current_get) | **GET** /subscription/current | Get Current Subscription
*SubscriptionApi* | [**get_plan_subscription_plans_plan_id_get**](docs/SubscriptionApi.md#get_plan_subscription_plans_plan_id_get) | **GET** /subscription/plans/{plan_id} | Get Plan
*SubscriptionApi* | [**list_subscription_plans_subscription_plans_get**](docs/SubscriptionApi.md#list_subscription_plans_subscription_plans_get) | **GET** /subscription/plans | List Subscription Plans
*SubscriptionApi* | [**stripe_webhook_subscription_webhook_post**](docs/SubscriptionApi.md#stripe_webhook_subscription_webhook_post) | **POST** /subscription/webhook | Stripe Webhook


## Documentation For Models

 - [AgentCompletionChunk](docs/AgentCompletionChunk.md)
 - [AgentCompletionRequest](docs/AgentCompletionRequest.md)
 - [AgentCompletionResponse](docs/AgentCompletionResponse.md)
 - [AgentTool](docs/AgentTool.md)
 - [Citations](docs/Citations.md)
 - [DocumentCitation](docs/DocumentCitation.md)
 - [Environment](docs/Environment.md)
 - [Function](docs/Function.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [LocationInner](docs/LocationInner.md)
 - [Message](docs/Message.md)
 - [MessageContent](docs/MessageContent.md)
 - [MessageMetrics](docs/MessageMetrics.md)
 - [MessageReferences](docs/MessageReferences.md)
 - [ServerSetupRequest](docs/ServerSetupRequest.md)
 - [ServerSetupResponse](docs/ServerSetupResponse.md)
 - [SubscriptionPlanResponse](docs/SubscriptionPlanResponse.md)
 - [SubscriptionStatus](docs/SubscriptionStatus.md)
 - [ToolExecution](docs/ToolExecution.md)
 - [UrlCitation](docs/UrlCitation.md)
 - [UserSubscriptionCreate](docs/UserSubscriptionCreate.md)
 - [UserSubscriptionResponse](docs/UserSubscriptionResponse.md)
 - [ValidationError](docs/ValidationError.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="ApiKey"></a>
### ApiKey

- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header


## Author




